net.sf.statcvs.reports

## Class AbstractRollingLocTableReport

- java.lang.Object
- - net.sf.statcvs.reports.AbstractRollingLocTableReport

- Direct Known Subclasses:
    DevelopersRollingTableReport

      public abstract class AbstractRollingLocTableReport
      extends java.lang.Object

  Convenience superclass for table reports related to last n months for authors and directories. Contains methods to calculate some common stuff for these tables.
  Version:
    $Id: AbstractRollingLocTableReport.java,v 1.3 2009/03/09 22:21:36 benoitx Exp $
  Author:
    Lukasz Pekacki, Benoit Xhenseval

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SORT_BY_LINES` Sort the authors table by lines of code
    `static int` | `SORT_BY_NAME` Sort the authors table by name

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRollingLocTableReport(ReportConfig config)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `calculateChangesAndLinesPerDeveloper(java.util.Collection revs)`
    `protected Table` | `createChangesAndLinesTable(GenericColumn keys, GenericColumn keys2, java.lang.String summary)`
    `protected Repository` | `getContent()`
    `int` | `getDeveloperCount()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SORT_BY_NAME

          public static final int SORT_BY_NAME

      Sort the authors table by name
      See Also:
        Constant Field Values

    - #### SORT_BY_LINES

          public static final int SORT_BY_LINES

      Sort the authors table by lines of code
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractRollingLocTableReport

          public AbstractRollingLocTableReport(ReportConfig config)

      Constructor
      Parameters:
        `content` - render table on specified content

  - ### Method Detail

    - #### calculateChangesAndLinesPerDeveloper

          protected void calculateChangesAndLinesPerDeveloper(java.util.Collection revs)

    - #### createChangesAndLinesTable

          protected Table createChangesAndLinesTable(GenericColumn keys,
                                         GenericColumn keys2,
                                         java.lang.String summary)

    - #### getContent

          protected Repository getContent()

    - #### getDeveloperCount

          public int getDeveloperCount()